### Constant

# Gio FILE_ATTRIBUTE_UNIX_DEVICE

since: 2.0

#### Declaration

    #define G_FILE_ATTRIBUTE_UNIX_DEVICE "unix::device"

#### Description

A key in the “unix” namespace for getting the device id of the device the file is located on (see `stat()` documentation).

This attribute is only available for UNIX file systems.

Corresponding `GFileAttributeType` is `G_FILE_ATTRIBUTE_TYPE_UINT32`.

Available since: 2.0